# Uses of Class
org.globus.ftp.dc.TransferThread

Packages that use TransferThread
Package
Description
org.globus.ftp.dc

## Uses of TransferThread in org.globus.ftp.dc

Subclasses of TransferThread in org.globus.ftp.dc
Modifier and Type
Class
Description
`class`
`GridFTPTransferSinkThread`
`class`
`GridFTPTransferSourceThread`
`class`
`TransferSinkThread`
Implements incoming transfer.
`class`
`TransferSourceThread`
Implements outgoing transfer.
Fields in org.globus.ftp.dc declared as TransferThread
Modifier and Type
Field
Description
`protected TransferThread`
SimpleDataChannel.`transferThread`
Methods in org.globus.ftp.dc that return TransferThread
Modifier and Type
Method
Description
`TransferThread`
GridFTPTransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
SimpleTransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
TransferThreadFactory.`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
GridFTPTransferThreadFactory.`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
SimpleTransferThreadFactory.`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
TransferThreadFactory.`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`